<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
include ('../php_caja/totales_caja.php');

$cliente=$_POST['cliente'];
$registros=mysqli_query($con,"SELECT * FROM cliente where clie_id like '%$cliente%' and empresa='$empresa'") or die(mysqli_error($con));
$row=mysqli_fetch_array($registros);
$clie_nombre=$row['clie_nombre'];
$clie_nota_credito=$row['clie_nota_credito'];
if ($clie_nota_credito<=0) { ?>
    <div class="alert alert-danger alert-dismissable">
        <strong>EL cliente No tiene Saldo en Nota credito !</strong> <a href="#" class="alert-link"></a>
    </div>
<?php }
else
    {
?>
<script>
$('#ventana_devolucion').hide(); 
</script>
<div id="ventana2">
    <div class="middle" >
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="efectivo" checked onChange="egreso(this)"/>
            <div class="front-end box"><span>EFECTIVO</span></div>
        </label>
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="transferencia" onChange="egreso(this)"/>
            <div class="back-end box"><span>TRANSFERENCIA</span></div>
        </label>
    </div>  
</div>
<div id="div_nota_egre_efe" style="display: ;">
<form method="post" action="" id="form_devolucion">
    <div  class="col-md-12">
        <div class="form-group">
            <label>Cliente</label>
            <input type="hidden" id="banco" value="Efectivo">
            <input type="hidden" id="forma_pago" name="forma_pago" value="efectivo">
            <input type="hidden" name="clie_id" value="<?php echo $row['clie_id']; ?>" class="form-control name_list" autocomplete="off" required readonly>
            <input type="hidden" name="clie_cc" value="<?php echo $row['clie_cc']; ?>" class="form-control name_list" autocomplete="off" required readonly>
            <input type="text" name="clie_nombre" value="<?php echo $row['clie_nombre']; ?>" class="form-control name_list" autocomplete="off" required readonly>
            <label>Nota Credito</label> 
            <input type="text" name="clie_nota_credito" value="<?php echo $row['clie_nota_credito']; ?>" class="form-control name_list" autocomplete="off" required readonly>
            <label>Detalle</label>
            <textarea name="detalle" class="form-control" rows="2" required>Devolucion de Efectivo a: <?php echo $row['clie_nombre']; ?></textarea>
            <label>Efectivo en Caja</label>
            <input type="text"  name="efectivo" value="<?php echo number_format($saldoencaja,2); ?>" class="form-control name_list" autocomplete="off" readonly  >
            <label>Valor </label>
            <input type="number" max="<?php echo $row['clie_nota_credito']; ?>" name="valor" value="" class="form-control name_list" autocomplete="off" required >
        </div>
    </div> <!-- /.form-group -->
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-info" name="btn_devolucion" id="btn_devolucion">Pagar</button>
    </div>
</form>
</div>

<div id="div_nota_egre_trans" style="display: none">
    <label>Cliente</label>
      <input type="text" value="<?php echo $row['clie_nombre']; ?>" class="form-control name_list" autocomplete="off" required readonly>
    <label>Nota Credito</label>
        <input type="text" value="<?php echo $clie_nota_credito; ?>" class="form-control name_list" autocomplete="off" readonly >
    <label>Plataforma de Pago</label>
    <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required  onchange="miFuncion($(this).val());">
        <option value="" disabled selected> - - </option>
        <?php
            $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
            while( $fila = mysqli_fetch_array( $datos ) )
            {
                echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
            }
        ?>
    </select>
    <input type="hidden" id="banco">
    <input type="hidden" id="cliente_id" value="<?php echo $row['clie_id']; ?>">
    <input type="hidden" id="nota_credito" value="<?php echo $clie_nota_credito ?>">
    <input type="hidden" id="cliente_nombre" name="cliente_nombre" value="<?php echo $row['clie_nombre']; ?>">
    <div id="div_transferrencia"></div>
</div>

<link href="css/botones_factura.css" rel="stylesheet" media="all"> <!--stylos botones efe - trans -->

<script>
$("#form_devolucion" ).submit(function( event ) {
$('#btn_devolucion').attr("disabled", true);
var parametros=$(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_movimientos/registrar_devolucion.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados").html(datos);
      $('#btn_devolucion').attr("disabled", false);
      $('#devolucion').modal('hide');
      $('body').removeClass('modal-open');
      $('.modal-backdrop').remove();
      load(1);
      }
  });
    event.preventDefault();
})


function egreso(sel) {
    if (sel.value=="efectivo")
    {
        divC = document.getElementById("div_nota_egre_efe");
        divC.style.display = "block";
        divT = document.getElementById("div_nota_egre_trans");
        divT.style.display = "none";
    } 
    else if (sel.value=="transferencia")
    {
        divC = document.getElementById("div_nota_egre_efe");
        divC.style.display = "none";
        divT = document.getElementById("div_nota_egre_trans");
        divT.style.display = "block";
    } 
}

function miFuncion(medio_pago){
$("#banco").val(medio_pago);
var banco=$("#banco").val();
var cliente_nombre=$("#cliente_nombre").val();
var cliente_id=$("#cliente_id").val();
var nota_credito=$("#nota_credito").val();
    $.get("./php_movimientos/form_dinero_devolucion.php?banco="+banco+'&cliente_nombre='+cliente_nombre+'&cliente_id='+cliente_id+'&nota_credito='+nota_credito,function(data){
    $("#div_transferrencia").html(data);
  })
}

</script>


<?php } ?>